Tracking
Track by air waybill
Look up one of your orders by its air waybill number.
GET
/v1/tracking/{awb}Bearer tokenReturns JSONSuccess 200
The answer is the same as Get tracking. Only your own orders are found.
Request
Headers
| Field | Type | Description |
|---|---|---|
Authorizationrequired | string | The access token from Get token, as "Bearer <token>". |
Path parameters
| Field | Type | Description |
|---|---|---|
awbrequired | string | The air waybill number. |
Example request
curl -X GET "https://api.swiftazu.com/v1/tracking/DEMONQDJ3W6UDWML" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"Response
Example response · 200
{
"id": "dffcd25d-6eb3-4b90-868c-6deca160ad74",
"orderId": "SWZORDYFSADMR",
"awbNumber": "DEMONQDJ3W6UDWML",
"merchantReference": "WEB-10482",
"isDemo": true,
"status": {
"code": "picked_up",
"name": "Picked Up",
"nameAr": "تم الاستلام",
"isTerminal": false
},
"subStatus": null,
"destination": {
"city": "Dubai",
"country": "United Arab Emirates"
},
"boxCount": 1,
"attemptCount": 0,
"updatedAt": "2026-10-02T02:30:52.216Z",
"events": [
{
"id": "eac7453b-76b0-4c00-81be-48fbbcc47901",
"status": {
"code": "pending",
"name": "Pending"
},
"subStatus": null,
"actorType": "merchant",
"notes": null,
"occurredAt": "2026-10-02T02:30:51.260Z",
"correctionOf": null
},
{
"id": "f307be27-0938-4da6-a90d-186ec12b84b2",
"status": {
"code": "ready_for_pickup",
"name": "Ready for Pickup"
},
"subStatus": null,
"actorType": "merchant",
"notes": null,
"occurredAt": "2026-10-02T02:30:51.709Z",
"correctionOf": null
},
{
"id": "be27c7d3-4e21-4ed3-9f7f-febe82117b3b",
"status": {
"code": "picked_up",
"name": "Picked Up"
},
"subStatus": null,
"actorType": "driver",
"notes": null,
"occurredAt": "2026-10-02T02:30:52.216Z",
"correctionOf": null
}
],
"timeline": [
{
"code": "pending",
"name": "Pending",
"nameAr": "قيد الانتظار",
"reachedAt": "2026-10-02T02:30:51.260Z"
},
{
"code": "ready_for_pickup",
"name": "Ready for Pickup",
"nameAr": "جاهز للاستلام",
"reachedAt": "2026-10-02T02:30:51.709Z"
},
{
"code": "picked_up",
"name": "Picked Up",
"nameAr": "تم الاستلام",
"reachedAt": "2026-10-02T02:30:52.216Z"
}
]
}Errors
| HTTP | Code | Meaning |
|---|---|---|
| 404 | order_not_found | No order of yours has this id or air waybill number. |
Every call can also return the shared errors listed on the Overview page. Overview